Last Comment Bug 131063 - Surrogate characters can not be pasted into XP MS word as source format
: Surrogate characters can not be pasted into XP MS word as source format
Status: RESOLVED WORKSFORME
: intl, topembed
Product: Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows XP
P3 normal (vote)
: mozilla1.2beta
Assigned To: Jungshik Shin
: Yuying Long
: Makoto Kato [:m_kato]
Mentors:
http://people.netscape.com/ftang/test...
Depends on: 180372 mzlu
Blocks: grouper
  Show dependency treegraph
 
Reported: 2002-03-14 17:30 PST by Yuying Long
Modified: 2005-03-06 07:13 PST (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image Yuying Long 2002-03-14 17:30:23 PST
Build: 03-14 trunk build

Steps:
1. Load a page that contains surrogate characters, e.g.:
   http://warp/u/ftang/utf8test/gb18030.cgi?page=596
2. Highlight a character and copy/paste into MS WinXP word.

Result:
Will be pasted as a small square by default(original source format).  A work
around is paste as text only.
(there are 3 options, only this one will work)

IE can be pasted in all 3 options.

Also with gb2312 or non-surrogate 18030 characters can be pasted as original
source format.
Comment 1 User image Frank Tang 2002-03-26 19:54:21 PST
I think we somehow does not generate NCR correctly for surroagte, that may cause
the problem. reassign to ftang for now. 
Comment 2 User image Frank Tang 2002-03-26 20:09:35 PST
assign
Comment 3 User image Frank Tang 2002-06-26 04:27:22 PDT
give to shanjian. I think this is a serialization issue. We save into a wrong
&#; NCR (two NCR for one surrogate pair instead of one). I think it is a dup of
one bug already assign to shanjian
This is NOT a high priority item. But we should fix it by Q4 2002
Comment 4 User image Shanjian Li 2002-07-18 12:13:01 PDT
if frank's guess is true, this is most likely a duplicate of one of my existing
bug. I have no way to verify it because I don't have the latest word software. I
am aware of the problem mentioned by frank  and it should have been fixed in my
local tree. 
Comment 5 User image Frank Tang 2002-07-19 12:46:01 PDT
this might be dup of 137657
Comment 6 User image Frank Tang 2002-07-24 01:43:45 PDT
I want to see we solve all surrogate editing problem by m1.2final. mark it as
nsbeta1+ and tm=m1.2beta
Comment 7 User image Shanjian Li 2002-07-24 17:32:28 PDT
I didn't see any problem with my local build. I will keep it open until I check
in my other surrogate patch. 
Comment 8 User image Marek Z. Jeziorek 2002-09-13 09:39:30 PDT
batch: adding topembed per Gecko2 document
http://rocknroll.mcom.com/users/marek/publish/Gecko/Gecko2Tasks.html
Comment 9 User image Shanjian Li 2002-10-04 12:03:45 PDT
It works fine on build 2002100409, after those surrogate conversion patches
checked in. 
Comment 10 User image Yuying Long 2003-06-10 15:18:02 PDT
This actually still exising in 06-10 1.4 branch build, re-open...
Comment 11 User image Jean-Marc Desperrier 2004-04-22 03:21:42 PDT
Original demonstration page has disapeared.

I did some test, but unfortunately without the needed fonts so I only saw
questions marks.

With http://bugzilla.mozilla.org/attachment.cgi?id=67079&action=view
All three paste method are problematic. Raw and unicode give twice more question
mark than the number of selected character. 
HTML insert gives one question mark less than the number of character copied if
3 or more character were selected. When selecting only one or two character, I
get nothing.

With http://www.unicode.org/charts/collation/chart_Cypriot.html
HTML seems correct. Raw and unicode still give twice more question mark than the
number of selected character.
Comment 12 User image Frank Tang 2005-03-01 23:56:15 PST
shanjian is no longer working on mozilla for 2 years and these bugs are still
here. Mark them won't fix. If you want to reopen it, find a good owner first. 
Comment 13 User image Jungshik Shin 2005-03-02 03:12:25 PST
Perhaps, depends on bug 239279
Comment 14 User image Simon Montagu :smontagu 2005-03-03 14:29:07 PST
I don't have XP Word here to test, but as far as I can tell from the clipboard
viewer this may be WORKSFORME. Note that an unrelated bug (bug 120114) affecting
Cypriot characters was fixed a little while ago.
Comment 15 User image Simon Montagu :smontagu 2005-03-06 07:13:43 PST
All 3 paste methods seem correct in current trunk.

Note You need to log in before you can comment on or make changes to this bug.